# GNU Solfege - ear training for GNOME
# Copyright (C) 2000, 2001, 2002, 2003, 2004  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class Synth:
    NUM_CHANNELS = 16
    def __init__(self, verbose_init):
        print "Solfege will use fakesynth"
        self.m_type_major = "Fake"
    def close(self):
        pass
    def stop(self):
        pass
    def play_track(self, track):
        print "FakeSynth.play_track(%s)" % track
        for e in track.m_v:
            print e

